QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets


CONFIG += \
    c++11 \
    warn_off

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    applicationdata.cpp \
    imageloader.cpp \
    main.cpp \
    screw.cpp \
    sweidmt.cpp \
    view3d.cpp

HEADERS += \
    applicationdata.h \
    imageloader.h \
    screw.h \
    sweidmt.h \
    view3d.h

FORMS += \
    ImageLoader.ui \
    screw.ui \
    sweidmt.ui \
    view3d.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../MyLib/release/ -lMyLib
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../MyLib/debug/ -lMyLib
else:unix: LIBS += -L$$OUT_PWD/../MyLib/ -lMyLib

INCLUDEPATH += $$PWD/../MyLib
DEPENDPATH += $$PWD/../MyLib

INCLUDEPATH += $$PWD/../MyLib \
               $$PWD/../eigen-3.3.7

RESOURCES += \
    resource.qrc
